GpgFrontend::UI::GeneralMainWindow Class Reference
Inheritance diagram for GpgFrontend::UI::GeneralMainWindow:
Collaboration diagram for GpgFrontend::UI::GeneralMainWindow:

## Public Member Functions

| GeneralMainWindow (std::string name, QWidget *parent=nullptr)

## Protected Member Functions

void | closeEvent (QCloseEvent *event)

## Protected Attributes

QSize | icon_size_ {}
int | font_size_ {}

## Private Slots

void | slot_restore_settings () noexcept
void | slot_save_settings () noexcept

## Private Attributes

std::string | name_
QPoint | pos_
QSize | size_

## Constructor & Destructor Documentation

## GeneralMainWindow()

GpgFrontend::UI::GeneralMainWindow::GeneralMainWindow | ( | std::string | name,
|  | QWidget * | parent = `nullptr`
| ) |  |

explicit

Parameters

  name | Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## Member Function Documentation

## closeEvent()

void GpgFrontend::UI::GeneralMainWindow::closeEvent | ( | QCloseEvent * | event | ) |

protected

Parameters

  event |

The documentation for this class was generated from the following files:

- src/ui/main_window/GeneralMainWindow.h
- src/ui/main_window/GeneralMainWindow.cpp